Package Base Details: amdapp-sdk

Git Clone URL: https://aur.archlinux.org/amdapp-sdk.git (read-only)
Submitter: Vi0L0
Maintainer: Vi0L0
Last Packager: Vi0L0
Votes: 83
Popularity: 0.205289
First Submitted: 2013-02-11 21:03
Last Updated: 2018-04-08 20:16

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 10 11 ... Next › Last »

Vi0L0 commented on 2013-11-12 22:15

updated to 2.9-1, this release is different:
- no docs directory, no global make, no license file(?), simple repack
- no AMDAPPSDKROOT, LD_LIBRARY_PATH instead
- bolt[1] samples, no sdkutils samples

[1] from AMD:
Bolt is a C++ template library providing GPU off-load for common parallel algorithms. We’ve added cross-OS support as well as numerous performance improvements and new functions. Bolt supports Cross vendor platforms today via CPU and multi-core fallback paths, but stay tuned, we will tackle cross-vendor acceleration next. clMath accelerates BLAS and FFT libraries accessible from Fortran, C and C++.

archive tarballs are here, though you may have problems with downloading original package from amd..., anyhow:
http://catalyst.wirephire.com/tarball/amdapp/

@BeepDog:
added glu, thanks

BeepDog commented on 2013-09-16 18:37

../../../../../include/GL/glew.h:1138:20: fatal error: GL/glu.h: No such file or directory
#include <GL/glu.h>
^

I'm assuming that there's a missing dependency here? I see glut, and various other GL dependencies in there, but it fails to build.

Vi0L0 commented on 2013-09-08 20:45

@jakogut:
ok, I will look at it.

@qdoe:
sums are fine, please read the description atop of PKGBUILD file. You need to download it from the web site because direct download isn't allowed

5chdn commented on 2013-09-05 08:41

AMD-APP-SDK-v2.8.1.0-lnx64.tgz fails in sha256sum validation, could you recheck the package? thanks

jakogut commented on 2013-08-23 06:38

@Vi0L0: When makepkg is configured to use another build directory, it can't find the patches required by this package. You might want to change the relative paths to use ${pkgdir}.

jakogut commented on 2013-08-23 06:34

@Vi0L0: When makepkg is configured to use another build directory, it can't find the patches required by this package. You might want to change the relative paths to use ${pkgdir}.

Vi0L0 commented on 2013-07-13 20:56

@asd: soon I will upload 2.7 into the AUR

Vi0L0 commented on 2013-07-13 20:56

updated to 2.8.1.0-1:
amdapp-sdk package was split into 3 packages:
amdapp-sdk :: main package
amdapp-sdk-aparapi :: AparapiUtil and aparapi samples
amdapp-sdk-opencv :: OpenCVUtils and opencv samples


AMD-APP-SDK isn't available to be directly downloaded, you need to accept the license agreement...

Please download AMD-APP-SDK-v2.8.1.0-lnx<your_bits_here>.tgz from:
http://developer.amd.com/tools-and-sdks/heterogeneous-computing/amd-accelerated-parallel-processing-app-sdk/downloads/
and paste it next to PKGBUILD

Please let me know if you will find direct link

Anonymous comment on 2013-07-08 18:23

Perhaps worth mentioning, 2.8 does not seem to work with legacy drivers (catalyst-total-hd234k in my case), but 2.7 does.

Vi0L0 commented on 2013-05-27 18:44

You are right veox.
I will fix it with the next release (or sooner if no realease will came up in a short time)